package com.jz.dmp.modules.controller.DataIntegration;

import com.jz.common.constant.JsonResult;
import com.jz.dmp.modules.controller.DataIntegration.bean.TaskListPageReq;
import com.jz.dmp.modules.service.AtomBaseCacheService;
import com.jz.dmp.modules.service.OfflineSynchService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * @Description:离线同步
 * @ClassName: OfflineSynchController
 * @Author Bellamy
 * @Date 2020/12/20
 */
@RestController
@RequestMapping("/offlineSynch")
@Api(tags = "数据集成--离线同步")
public class OfflineSynchController {
	
	@Autowired
	private OfflineSynchService offlineSynchService;

	/**
	 * 任务列表分页查询
	 * @return
	 */
	@ApiOperation(value = "任务列表分页查询", notes = "任务列表分页查询")
	@PostMapping(value = "/taskListPage")
	public JsonResult delRedisKeys(@RequestBody @Validated TaskListPageReq taskListPageReq) {
		return new JsonResult();
	}
}
