package com.jz.dmp.modules.controller.DataIntegration.bean;


import javax.validation.constraints.NotNull;

/**
 * @ClassName: TaskListPageReq
 * @Description: 离线任务列表参数对象
 * @Author：Bellamy
 * @Date 2020/12/21
 * @Version 1.0
 */
public class TaskListPageReq {

    @NotNull(message = "项目ID不能空")
    private String projectId;

    //@NotNull(message = "父类ID不能空")
    private String parentId;

    private String sourceDb;

    private String targetDb;

    private String sourceTable;

    private String targetTable;

    private Integer pageNum = 1;

    private Integer pageSize = 30;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getSourceDb() {
        return sourceDb;
    }

    public void setSourceDb(String sourceDb) {
        this.sourceDb = sourceDb;
    }

    public String getTargetDb() {
        return targetDb;
    }

    public void setTargetDb(String targetDb) {
        this.targetDb = targetDb;
    }

    public String getSourceTable() {
        return sourceTable;
    }

    public void setSourceTable(String sourceTable) {
        this.sourceTable = sourceTable;
    }

    public String getTargetTable() {
        return targetTable;
    }

    public void setTargetTable(String targetTable) {
        this.targetTable = targetTable;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
